Log4jAgent (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.agent.Log4jAgent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class Log4jAgent

    java.lang.Object
      org.mule.AbstractAgent
          org.mule.module.management.agent.Log4jAgent

All Implemented Interfaces:
  Agent, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject

    public class Log4jAgent

extends AbstractAgent

`Log4jAgent` exposes the configuration of the Log4J instance running in Mule for Jmx management

Field Summary
`static String` | `JMX_OBJECT_NAME`

Fields inherited from class org.mule.AbstractAgent
`muleContext, name`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`Log4jAgent()`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`void` | `initialise()` Method used to perform any initialisation work.
`void` | `registered()`
`void` | `start()`
`void` | `stop()`
`void` | `unregistered()`
`protected void` | `unregisterMBeansIfNecessary()` Unregister all log4j MBeans if there are any left over the old deployment

Methods inherited from class org.mule.AbstractAgent
`getDependentAgents, getDescription, getName, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JMX_OBJECT_NAME

    public static final String JMX_OBJECT_NAME

See Also:
  Constant Field Values

Constructor Detail

### Log4jAgent

    public Log4jAgent()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Specified by:
    `initialise` in class `AbstractAgent`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### unregisterMBeansIfNecessary

    protected void unregisterMBeansIfNecessary()
                                        throws MalformedObjectNameException,
                                               InstanceNotFoundException,
                                               MBeanRegistrationException

  Unregister all log4j MBeans if there are any left over the old deployment

  Throws:
    `MalformedObjectNameException`
    `InstanceNotFoundException`
    `MBeanRegistrationException`

### start

    public void start()
               throws MuleException

  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Throws:
    `MuleException`

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

### registered

    public void registered()

### unregistered

    public void unregistered()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.